# List device groups

Get a list of groups in the Devices & Groups.

Endpoint: GET /enterprise/{enterprise_id}/devicegroup/
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `enterprise_id` (string, required)
    A UUID string identifying enterprise.

## Query parameters:

  - `name` (string)
    Filter by group name

  - `limit` (integer)
    Number of results to return per page.

  - `offset` (integer)
    The initial index from which to return the results.

## Response 200 fields (application/json):

  - `count` (integer, required)

  - `next` (string,null)

  - `previous` (string,null)

  - `results` (array, required)

  - `results.id` (string)
    Group id

  - `results.name` (string, required)
    Group name

  - `results.created_on` (string)
    Date and time of when the group was created

  - `results.enterprise` (string)
    Enterprise url

  - `results.parent` (string)
    Parent group url

  - `results.device_count` (integer)
    Count of devices in the group

  - `results.path` (string)
    Path of the group

  - `results.children_count` (integer)
    Count of child groups

  - `results.thumbnail` (string)
    thumbnail associated with the group

  - `results.blueprint` (string)
    Blueprint associated with the group.

## Response 401 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 404 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 500 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)


